<?php
include('../config.php');
// Retrieve form data
$name = $_POST['name'];
$email = $_POST['email'];
$public_key = $_POST['auth_key'];
$store_url = $_POST['store_url'];
$access_token = $_POST['access_token'];
$payment_mode = $_POST['payment_mode'];

// Insert data into the database
if(($email!='')&&($public_key!='')&&($access_token!='')&&($store_url!='')){
    include('../inc/functions.php');
    $dataes = shopify_call($access_token, $store_url, '/admin/api/2023-07/orders/count.json?status=any', $query = array(), $method = 'GET', $request_headers = array());
    $shopi_res = json_decode($dataes['response'],true);
    if(($shopi_res['count'] > 0)){
        $uniqid = uniqid('gateway-');
        $sql = "INSERT INTO users (name, email, auth_key, store_url, access_token, payment_mode, uniqid) VALUES ('$name', '$email', '$public_key', '$store_url', '$access_token', '$payment_mode', '$uniqid')";
        if ($conn->query($sql) === TRUE) {
            
            $last_id = $conn->insert_id;
            $sql_sele = "SELECT * FROM `users` WHERE `id` = $last_id";
            $result = $conn->query($sql_sele);
            if ($result->num_rows > 0) {
              // output data of each row
              while($row = $result->fetch_assoc()) {
                  $uniqid = $row["uniqid"];
              }
            } else {
              echo "0 results";
            }
        }
        else {
            echo "Error: " . $sql . "<br>" . $conn->error;
        }
    }
    else{
        $error_msg = 'Not valid access token or auth key!!';
    }
}
else{
    $error_msg = 'Some data missing in form!!';
    header("Location: https://lytechxagency.website/ivorypay/info");
    die();
}
?>
    <!DOCTYPE html>
<html lang="en">
    <head>
        <title>ivorypay</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta2/css/all.min.css" />
        <link rel="stylesheet" type="text/css" href="css/main.css">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.0/clipboard.min.js"></script>

    </head>

    <body>
        <div class="container-contact100">
            <div class="wrap-contact100">
               <div class="card-body">
                   <?php if($uniqid != ''){ ?>
                    <h4 class="card-title">Copy key on text input</h4>
                    <p class="card-description">Copy key from text input</p>
                    <input type="text" id="clipboardExample1" class="form-control" value="<?php echo $uniqid;?>">
                    <div class="mt-3">
                        <button type="button" class="btn btn-info btn-clipboard" data-clipboard-action="copy" data-clipboard-target="#clipboardExample1">Copy</button>
                    </div>
                    <?php } 
                    if($error_msg !=''){?>
                        <!-- Error Alert -->
                        <div class="alert alert-danger alert-dismissible fade show">
                            <strong>Error!</strong> <?php echo $error_msg; ?>
                        </div>
                        <?php
                    }
                    ?>
                </div>
            </div>
        </div>
        <div id="dropDownSelect1"></div>
    
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script>
            $( document ).ready(function() {
                new ClipboardJS('.btn');
            }); 
        </script>
    </body>

</html>
    <?php

// Close the database connection
$conn->close();

?>
